Bug 502479 - anaconda liveinst overwrites custom firewall settings
anaconda liveinst overwrites custom firewall settings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 08:50 EDT by Mads Kiilerich
Modified: 2009-06-25 15:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 15:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-05-25 08:50:40 EDT
Description of problem:

Anaconda liveinst unconditionally does firewall configuration through firewall.py which executes lokkit which is available because of rpm dependency to system-config-firewall. Lokkit will overwrite any custom /etc/sysconfig/system-config-firewall and /etc/sysconfig/iptables in custom live spins.

I suggest and expect that for example if /etc/sysconfig/iptables exists then lokkit shouldn't be executed.

(And I also expect the deprecated /etc/sysconfig/system-config-securitylevel to not be written.)


Version-Release number of selected component (if applicable):

anaconda-11.4.1.63-1.i386
system-config-firewall-1.2.13-2.fc10.noarch
Comment 1 Jeremy Katz 2009-05-27 12:34:43 EDT
Fixed for rawhide (f12)

Note You need to log in before you can comment on or make changes to this bug.